#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QVector>
#include <QTimer>

#include "HamegInterface.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    
private:
    Ui::MainWindow *ui;
    HamegInterface hameg;
    bool connected;
    char *screenData;
    QVector<double> xValues;
    QVector<double> yValues;
    QVector<double> akfX;
    QVector<double> akfY;
    QTimer timer;

    void updateXValues();
    void Akf();
    void findMaxs();

private slots:
    void onButtonOpen();
    void onButtonRefresh();
    void onCheckAuto(bool autoRefresh);
};

#endif // MAINWINDOW_H
